import QtQuick 2.1
import qb.base 1.0

App {
    property url tileUrl: "WifiTile.qml"
    property url screenUrl: "WifiScreen.qml"

    property WifiScreen wifiScreen

    property variant settings: {
        "internal": true,
        "network": "",
        "password": "",
        "security": "WPA",
        "hidden": false
    }

    function init() {
        qlanguage.loadLanguagePackage("apps/wifi/lang");
        const args = {
            thumbCategory: "general",
            thumbLabel: qsTr("WiFi"),
            thumbIcon: "qrc:/apps/internetSettings/drawables/wifi-3.svg",
            thumbIconVAlignment: "center",
            thumbWeight: 30
        };
        registry.registerWidget("tile", tileUrl, this, null, args);
	registry.registerWidget("screen", screenUrl, this, "wifiScreen");
        loadSettings();
    }

    function loadSettings() {
        var cfg = new XMLHttpRequest();
        cfg.onreadystatechange = function() {
            if (cfg.readyState == XMLHttpRequest.DONE) {
                if (cfg.status == 200) {
                    settings = JSON.parse(cfg.responseText);
                } else {
                    settings = settings;
                }
            }
        }
        cfg.open("GET", "file:///HCBv2/qml/config/wifi.cfg");
        cfg.send();
    }

    function saveSettings() {
        var cfg = new XMLHttpRequest();
        cfg.open("PUT", "file:///HCBv2/qml/config/wifi.cfg");
        cfg.send(JSON.stringify(settings));
    }
}
